<?php

/**
 * Copyright (c) 2009, Skalfa LLC
 * All rights reserved.

 * ATTENTION: This commercial software is intended for use with Oxwall Free Community Software http://www.oxwall.org/
 * and is licensed under Oxwall Store Commercial License.
 * Full text of this license can be found at http://www.oxwall.org/store/oscl
 */

/**
 * Google Contacts Import step 2
 *
 * @author Aybat Duyshokov <duyshokov@gmail.com>
 * @package ow_plugins.contact_importer.controllers
 * @since 1.0
 */
class CONTACTIMPORTER_CTRL_Gstep2 extends OW_ActionController
{

    public function __construct()
    {
        parent::__construct();
    }

    public function index()
    {
        if ( $_POST )
        {

            $_SESSION['gc'] = $_POST['emails'];
            $this->redirect(OW::getRouter()->getBaseUrl() . OW::getRouter()->getUri() . '?success=y');
        }

        OW::getDocument()->getMasterPage()->setTemplate(OW::getThemeManager()->getMasterPageTemplate(OW_MasterPage::TEMPLATE_BLANK));

        $jsPath = OW::getPluginManager()->getPlugin('contactimporter')->getStaticJsUrl();

        OW::getDocument()->addScript('http://www.google.com/jsapi');
        OW::getDocument()->addScript("http://www.google.com/jsapi?autoload=%7Bmodules%3A%5B%7Bname%3Agdata%2Cversion%3A2.x%2Cpackages%3A%5Bblogger%2Ccontacts%5D%7D%5D%7D");
        OW::getDocument()->addScript($jsPath . 'gmail.js');
        OW::getDocument()->addScriptDeclaration("

		initFunc = function()
		{
			setupContactsService();
			if(isLoggedIn()){
				
				if( !(/success=y/).test(location.href) ){
					getMyContacts();
				}
				else{
					logMeOut();
					opener.document.location.href = '" . OW::getRouter()->urlForRoute('contact-importer-add') . "';
					window.close();			
				}
			}
			else {
				document.location.href = '" . OW::getRouter()->urlFor('CONTACTIMPORTER_CTRL_Gstep1') . "';
			}
		}
		
		google.setOnLoadCallback(initFunc);		
		
		");
        $src = OW::getPluginManager()->getPlugin('contactimporter')->getStaticUrl() . 'img/ajax-loader.gif';
        $this->assign('img', "<img src=\"{$src}\" />");
    }
}